Bug 19216 - Patron clubs table has an empty column in OPAC
Summary: Patron clubs table has an empty column in OPAC
Status: Pushed to Master
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Aleisha Amohia
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 19214 19215
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-31 00:09 UTC by Aleisha Amohia
Modified: 2017-10-27 17:16 UTC (History)
0 users

See Also:
Change sponsored?: Sponsored
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19216: Fix broken table in OPAC for when club doesn't allow public enrolment (2.22 KB, patch)
2017-08-31 00:18 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 19216: Fix broken table in OPAC for when club doesn't allow public enrolment (2.27 KB, patch)
2017-09-12 08:53 UTC, Claire Gravely
Details | Diff | Splinter Review
Bug 19216: Fix broken table in OPAC for when club doesn't allow public enrolment (1.83 KB, patch)
2017-10-27 09:37 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Aleisha Amohia 2017-08-31 00:09:39 UTC
To reproduce:
1) Create a club template that DOES NOT allow public enrollment
2) Create a club, enrol a user
3) Log in as that user to the OPAC
4) Go to 'your summary' and click the Clubs tab
5) Notice the broken table with empty column
6) Edit the club template to allow public enrollment
7) Notice the table is fixed - so this bug is just when the club does not allow public enrollment
Comment 1 Aleisha Amohia 2017-08-31 00:18:57 UTC
Created attachment 66663 [details] [review]
Bug 19216: Fix broken table in OPAC for when club doesn't allow public enrolment

To test:
1) Apply bug 19214 and bug 19215 to fix other issues with patron clubs
2) Create a club template that DOES NOT allow public enrollment
3) Create a club, enrol a user
4) Log in as that user to the OPAC
5) Go to 'your summary' and click the Clubs tab
6) Notice the broken table with empty column
7) Edit the club template to allow public enrollment
8) Notice the table is fixed - so this bug is just when the club does
not allow public enrollment
9) Apply the patch
10) Edit the club template to NOT ALLOW public enrollment
11) Confirm the table in the OPAC is now fixed and does not leave an
empty column

Sponsored-by: Catalyst IT
Comment 2 Claire Gravely 2017-09-12 08:53:13 UTC
Created attachment 67077 [details] [review]
Bug 19216: Fix broken table in OPAC for when club doesn't allow public enrolment

To test:
1) Apply bug 19214 and bug 19215 to fix other issues with patron clubs
2) Create a club template that DOES NOT allow public enrollment
3) Create a club, enrol a user
4) Log in as that user to the OPAC
5) Go to 'your summary' and click the Clubs tab
6) Notice the broken table with empty column
7) Edit the club template to allow public enrollment
8) Notice the table is fixed - so this bug is just when the club does
not allow public enrollment
9) Apply the patch
10) Edit the club template to NOT ALLOW public enrollment
11) Confirm the table in the OPAC is now fixed and does not leave an
empty column

Sponsored-by: Catalyst IT
Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>
Comment 3 Nick Clemens 2017-10-27 09:37:21 UTC
Created attachment 68666 [details] [review]
Bug 19216: Fix broken table in OPAC for when club doesn't allow public enrolment

To test:
1) Apply bug 19214 and bug 19215 to fix other issues with patron clubs
2) Create a club template that DOES NOT allow public enrollment
3) Create a club, enrol a user
4) Log in as that user to the OPAC
5) Go to 'your summary' and click the Clubs tab
6) Notice the broken table with empty column
7) Edit the club template to allow public enrollment
8) Notice the table is fixed - so this bug is just when the club does
not allow public enrollment
9) Apply the patch
10) Edit the club template to NOT ALLOW public enrollment
11) Confirm the table in the OPAC is now fixed and does not leave an
empty column

Sponsored-by: Catalyst IT
Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 4 Jonathan Druart 2017-10-27 17:16:04 UTC
Pushed to master for 17.11, thanks to everybody involved!